/*
 * hal_special.c - implementation of Generic Special Register Access API for TSAR-MIPS32
 * 
 * Author  Ghassan Almaless (2008,2009,2010,2011,2012)
 *         Alain Greiner    (2016)
 *
 * Copyright (c) UPMC Sorbonne Universites
 * 
 * This file is part of ALMOS-MKH..
 *
 * ALMOS-MKH. is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 2.0 of the License.
 *
 * ALMOS-MKH. is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with ALMOS-MKH.; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
 */


#include <hal_types.h>
#include <hal_special.h>

/****  Forward declarations ****/

struct thread_s;

gid_t hal_get_gid()
{
	return 0;
}

uint32_t hal_time_stamp()
{
	return 0;
}

struct thread_s * hal_get_current_thread()
{
	return NULL;
}

void hal_set_current_thread( struct thread_s * thread )
{ 

}

void hal_fpu_enable()
{

}

void hal_fpu_disable()
{

}

uint32_t hal_get_stack()
{
	return 0;
}

uint32_t hal_set_stack( void * new_val )
{
	return 0;
}

uint32_t hal_get_bad_vaddr()
{
	return 0;
}

uint32_t hal_uncached_read( uint32_t * ptr )
{
	return 0;
}

void hal_invalid_dcache_line( void * ptr )
{

}

void hal_wbflush()
{

}

void hal_rdbar()
{

}

void hal_core_sleep()
{

}

void hal_fixed_delay( uint32_t delay )
{ 

}

void hal_get_mmu_excp( intptr_t * mmu_ins_excp_code,
                       intptr_t * mmu_ins_bad_vaddr,
                       intptr_t * mmu_dat_excp_code,
                       intptr_t * mmu_dat_bad_vaddr )
{

}
